package flat.first;

import static org.junit.Assert.assertEquals;

import com.google.flatbuffers.FlatBufferBuilder;

public class CardTest {
	@org.junit.Test
	public void serialize() throws Exception {
		FlatBufferBuilder fbb = new FlatBufferBuilder(10);
		int nameIdx = fbb.createString("Duke");
		Card.startCard(fbb);
		Card.addNo(fbb, 300);
		Card.addName(fbb, nameIdx);
		int idx = Card.endCard(fbb);
		Card.finishCardBuffer(fbb, idx);
		java.nio.ByteBuffer buf = fbb.dataBuffer();

		Card card = Card.getRootAsCard(buf);
		assertEquals(300, card.no());
		assertEquals("Duke", card.name());
	}
}
