package serial;

import static org.junit.Assert.assertEquals;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import org.junit.Test;

public class SerializableTest {

	@Test
	public void write() throws Exception {
		Action a = new Action();
		a.setUser_id(33333);
		a.setDups("hogehoge");

		try (ObjectOutputStream oos = new ObjectOutputStream(
				new FileOutputStream("action.obj"))) {
			oos.writeObject(a);
		}
	}

	@Test
	public void read() throws Exception {
		try (ObjectInputStream ois = new ObjectInputStream(new FileInputStream(
				"action.obj"))) {
			Action a = (Action) ois.readObject();
			assertEquals(a.getUser_id(), 33333L);
		}
	}
}
